import request from '@/utils/request'

// 周产能对比统计:获取日期表头
export function getDatas(query) {
  return request({
    url: "/weeklyProductionReport/getDatas",
    method: "get",
    params: query,
  });
}


// 周产能对比统计:统计方式工序
export function getListByProcess(query) {
  return request({
    url: '/weeklyProductionReport/getListByProcess',
    method: "get",
    params: query
  });
}

// 周产能对比统计:统计方式用户
export function getListByUser(query) {
    return request({
      url: '/weeklyProductionReport/getListByUser',
      method: "get",
      params: query
    });
  }
  // 周产能对比统计:统计方式车间
export function getListByWorkshop(query) {
    return request({
      url: '/weeklyProductionReport/getListByWorkshop',
      method: "get",
      params: query
    });
  }

  // 周产能对比统计:统计方式工作中心
export function getListByWorkstation(query) {
    return request({
      url: '/weeklyProductionReport/getListByWorkstation',
      method: "get",
      params: query
    });
  }

    // 周产能对比统计:统计方式工作单元
export function getListByWorkunit(query) {
    return request({
      url: '/weeklyProductionReport/getListByWorkunit',
      method: "get",
      params: query
    });
  }
